package com.ruoyi.app.domain;

import org.apache.poi.ss.formula.functions.T;
import org.springframework.context.ApplicationEvent;

public class NFIDReaderEvent<T> extends ApplicationEvent {

    //吊钩绑定的识别
    public static final String HookBind = "hookBind-data";

    private final T data;
    private String subject;
    public NFIDReaderEvent(Object source, String subject,T data) {
        super(source);
        this.subject = subject;
        this.data = data;
    }

    public String getSubject() {
        return subject;
    }

    public T getData() {
        return data;
    }
}